// Create new API object and set the domain and namespace path
const hn = new (require('hashnode').Hashnode)('https://hashnode.com', '/ajax');

// Then query the API by using high-level convenience methods
(async () => {
    // Get a feed iterator
    const feed = hn.feed.getRecentFeed();
    // Get the first post
    const mostRecentPost = await feed.next();
    // Output the post title
    console.log(`The latest post is: '${mostRecentPost.value.title}'!`);
})().catch(console.error);;
